
Thu, 06/02/2011 - 16:16
Forums:
Can i annotate my edges, for example if i select an edge it should be annotated as one. If i use multiple selection (pressing shift) it should be annotated as 1,2,3, etc... in the order of selection.
Can anyone please help
Thu, 06/02/2011 - 17:23
Can ayone please tell me how the X,Y,Z axis is written at the end of a trihedron
Fri, 12/09/2011 - 12:13
Handle(V3d_View) view = ...;
gp_Pnt startPnt(0,1,2);
gp_Pnt endPnt(3,4,5);
[...]
Handle(Prs3d_Presentation) aPresentation= new Prs3d_Presentation(view->Viewer()->Viewer());
aPresentation->Color(...);
Handle(Prs3d_TextAspect) textAspect = new Prs3d_TextAspect();
Prs3d_Text::Draw(aPresentation, textAspect, 'Hello world',
startPnt.Translated(gp_Vec(startPnt, endPnt).Multiplied(0.5)));
aPresentation->Display();